# Uses of Class
org.apache.iotdb.jdbc.IoTDBStatement

## Uses of IoTDBStatement in org.apache.iotdb.jdbc

Subclasses of IoTDBStatement in org.apache.iotdb.jdbc
Modifier and Type
Class
Description
`class`
`IoTDBPreparedStatement`
Fields in org.apache.iotdb.jdbc declared as IoTDBStatement
Modifier and Type
Field
Description
`protected IoTDBStatement`
IoTDBJDBCResultSet.`statement`
Constructors in org.apache.iotdb.jdbc with parameters of type IoTDBStatement
Modifier
Constructor
Description
``
`IoTDBJDBCResultSet(IoTDBStatement statement, List<String> columnNameList, List<String> columnTypeList, Map<String,Integer> columnNameIndex, boolean ignoreTimeStamp, IClientRPCService.Iface client, String sql, long queryId, long sessionId, List<ByteBuffer> dataSet, TSTracingInfo tracingInfo, long timeout, boolean moreData, ZoneId zoneId, Charset charset, boolean tableModel, List<Integer> columnIndex2TsBlockColumnIndexList)`